Page MenuHomePhabricator

Try a test IDEAL donation through adyen
Closed, ResolvedPublic

Description

some of their docs:
https://docs.adyen.com/payments-fundamentals/payment-glossary#hosted-payment-pages-hpp

DoD:
Set this up locally and try a test donation.

Event Timeline

DStrine created this task.Dec 17 2019, 6:30 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 17 2019, 6:30 PM

Change 559178 had a related patch set uploaded (by Jgleeson; owner: Jgleeson):
[mediawiki/extensions/DonationInterface@master] WIP: Add iDEAL to adyen

https://gerrit.wikimedia.org/r/559178

Ejegg assigned this task to jgleeson.Dec 18 2019, 9:33 PM
Ejegg added a subscriber: Ejegg.Dec 24 2019, 12:06 AM

Making progress! Needs a couple of tweaks to donor return processing. FIXMEs added in the commit.

DStrine closed this task as Resolved.Jan 7 2020, 9:25 PM
DStrine moved this task from Doing to Deployed on the Fundraising Sprint YAMLton, the Musical board.

Change 559178 merged by jenkins-bot:
[mediawiki/extensions/DonationInterface@master] Add iDEAL to adyen

https://gerrit.wikimedia.org/r/559178